<template>
  <n-tag v-if="props.status === COMMON_ENABLE" size="small" strong :bordered="false" type="success">{{
    filterStatus(props.status)
  }}</n-tag>
  <n-tag v-if="props.status === COMMON_DISABLE" size="small" :bordered="false" disabled>{{
    filterStatus(props.status)
  }}</n-tag>
</template>
<script setup lang="ts">
import { COMMON_DISABLE, COMMON_ENABLE } from '@/const';
import { filterStatus } from '@/filter';

interface Props {
  status: string;
}
const props = defineProps<Props>();
</script>
